Subject: [Fot] TR6 head needed

From: Greg Blake <[email-masked]>
Date: Wed, 04 Nov 2015 22:18:25 -0600

I am in need of a cylinder head for the 73 I am rebuilding. The one I pulled off the running motor is a very high compression head (it measures out at 31cc).  This is a street car so I will be shooting for around 10:1 so this head won't do.

Anyone have a donor or want to trade?  I also have a stockish narrow port TR6 head to sweeten the deal. 

Contact me off list. 

Thanks,

Greg

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive